Bug 118637 - Realtek RTL8169 GBE driver hangs on shutdown
Summary: Realtek RTL8169 GBE driver hangs on shutdown
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On: 120262
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-18 15:46 UTC by Graham Leggett
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2004-12-20 20:54:54 UTC


Attachments (Terms of Use)
r8169-update.patch (40.04 KB, text/plain)
2004-06-25 14:31 UTC, John W. Linville
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:550 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 3 Update 4 2004-12-20 05:00:00 UTC

Description Graham Leggett 2004-03-18 15:46:28 UTC
If the following card is present in the system, network shutdown is
impossible:

r8169 Gigabit Ethernet driver 1.2 loaded
PCI: Found IRQ 11 for device 00:0d.0
PCI: Sharing IRQ 11 with 01:00.0
r8169: PCI device 00:0d.0: unknown chip version, assuming RTL-8169
r8169: PCI device 00:0d.0: TxConfig = 0x4000000
divert: allocating divert_blk for eth0
eth0: Identified chip type is 'RTL-8169'.
eth0: RealTek RTL8169 Gigabit Ethernet at 0xe0948000,
00:40:f4:93:3f:23, IRQ 11
eth0: Auto-negotiation Enabled.
eth0: 1000Mbps Full-duplex operation.

If an attempt is made to shut down the network, the message "shutting
down eth0" appears, and the machine stops at this point.

This makes shutdown of the machine impossible without hitting the
reset switch.

This happens on a RHEL3 box patched with all available updates.

Comment 1 Graham Leggett 2004-03-18 22:51:13 UTC
I installed the same card in a second machine running RH v9 updated to
the most recent releases via up2date, and no problem is experienced -
seems to be RHEL v3 only.


Comment 2 Jeff Garzik 2004-06-14 16:56:55 UTC
This is likely fixed by backporting the latest 2.4.x-BK r8169.


Comment 3 John W. Linville 2004-06-25 14:31:33 UTC
Created attachment 101411 [details]
r8169-update.patch

Backported driver from 2.4.27, no hang observed...

Comment 4 Graham Leggett 2004-06-25 15:23:39 UTC
Is it possible to get this into a RHEL3 update?

The machine showing the "hanging card" problem now refuses to start
the card up after a restart. An actual power cycle of the machine is
needed before this card will work again. :(


Comment 6 Ernie Petrides 2004-08-31 04:10:05 UTC
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-20.1.EL).


Comment 7 Graham Leggett 2004-08-31 08:13:30 UTC
Thanks - I appreciate it!


Comment 8 John Flanagan 2004-12-20 20:54:54 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-550.html



Note You need to log in before you can comment on or make changes to this bug.